{% block sw_cms_layout_modal_header_search %}
    <sw-simple-search-field
        v-model:value="term"
        class="sw-cms-layout-modal__header-search"
        :placeholder="$tc('sw-cms.general.placeholderSearchBar')"
        @search-term-change="onSearch"
    />
{% endblock %}

{% block sw_cms_layout_modal_header_sorting_container %}
    <div class="swag-guided-shopping-presentation-detail-cms-pages__insert-existing-layouts-modal">
        {% parent() %}
    </div>
{% endblock %}

{% block sw_cms_layout_modal_content %}
    <div v-if="selected.length > 0 && listMode === 'grid' && multipleSelect" class="sw-cms-layout-modal__grid-selected-count-container">
        <span class="sw-cms-layout-modal__grid-selected-label">{{ $tc('global.sw-data-grid.labelSelectionCount') }}</span>
        <span class="sw-cms-layout-modal__grid-selected-count">{{ selected.length }}</span>
        <a
            class="sw-cms-layout-modal__grid-selected-delete"
            @click="confirmBulkDeleteLayouts"
        >
            {{ $tc('global.default.delete') }}
        </a>
    </div>

    <div class="sw-cms-layout-modal__content">

        {% block sw_cms_layout_modal_loader %}
        <sw-loader v-if="isLoading" />
        {% endblock %}

        {% block sw_cms_layout_modal_content_container %}
        <div v-else-if="listMode === 'grid'">
            <sw-container
                columns="repeat(auto-fill, minmax(250px, 1fr))"
                gap="24px"
            >

                {% block sw_cms_layout_modal_content_listing %}
                <div
                    v-for="(cmsPage, index) in pages"
                    :key="index"
                    :class="gridItemClasses(cmsPage.id, index)"
                >
                    {% block sw_cms_layout_modal_content_listing_item %}

                    {% block sw_cms_layout_modal_content_listing_item_checkbox %}
                    <sw-checkbox-field
                        :value="selected.includes(cmsPage.id)"
                        type="checkbox"
                        @update:value="onSelection(cmsPage)"
                    />
                    {% endblock %}

                    {% block sw_cms_layout_modal_content_listing_item_inner %}
                    <sw-cms-list-item
                        :key="cmsPage.id"
                        :page="cmsPage"
                        @item-click="selectItem(cmsPage)"
                    />
                {% endblock %}

                {% endblock %}
                </div>
            </sw-container>

            {% block sw_cms_layout_modal_content_pagination %}
            <sw-pagination
                class="sw-cms-layout-modal__content-pagination"
                :page="page"
                :limit="limit"
                :total="total"
                :auto-hide="false"
                @page-change="onPageChange"
            />
            {% endblock %}

        </div>
        {% endblock %}

        <sw-data-grid
            ref="gridLayouts"
            v-else-if="listMode === 'list'"
            class="sw-cms-list__list-data-grid"
            identifier="sw-cms-list"
            :is-loading="isLoading"
            :limit="limit"
            :data-source="pages"
            :columns="columnConfig"
            :skeleton-item-amount="limit"
            :sort-by="sortBy"
            :sort-direction="sortDirection"
            :allow-inline-edit="false"
            :allow-column-edit="false"
            :show-settings="false"
            :show-actions="false"
            :show-selection="true"
            :maximum-select-items="multipleSelect ? total + 1 : 1"
            :pre-selection="gridPreSelection"
            @selection-change="selectInGrid"
            @column-sort="onSortColumn"
        >
            <template #bulk
                v-if="allowDelete">
                <a
                    class="link link-danger"
                    @click="confirmBulkDeleteLayouts"
                >
                    {{ $tc('global.default.delete') }}
                </a>
            </template>

            {% block sw_cms_list_listing_list_data_grid_column_name %}
            <template #column-name="{ item }">
                <!-- eslint-disable-next-line vuejs-accessibility/click-events-have-key-events -->
                <div @click="selectItem(item.id, item)">
                    {{ item.translated.name }}
                </div>
            </template>
            {% endblock %}

            {% block sw_cms_list_listing_list_data_grid_column_type %}
            <template #column-type="{ item }">
                {{ pageTypes[item.type] }}
            </template>
            {% endblock %}

            {% block sw_cms_list_listing_list_data_grid_column_created %}
            <template #column-createdAt="{ item }">
                {{ item.createdAt | date({ hour: '2-digit', minute: '2-digit' }) }}
            </template>
            {% endblock %}

            <template #column-createdBy="{ item }">
                {{ getUserName(item.createdBy) }}
            </template>

            {% block sw_cms_list_listing_list_data_grid_column_updated %}
            <template #column-updatedAt="{ item }">
                {{ item.updatedAt | date({ hour: '2-digit', minute: '2-digit' }) }}
            </template>
            {% endblock %}

            {% block sw_cms_list_listing_list_data_grid_pagination %}
            <template #pagination>
                <sw-pagination
                    :page="page"
                    :limit="limit"
                    :total="total"
                    :auto-hide="false"
                    @page-change="onPageChange"
                />
            </template>
            {% endblock %}
        </sw-data-grid>
        {% endblock %}
    </div>
{% endblock %}

{% block sw_cms_layout_modal_footer %}
    <template #modal-footer>
        <sw-button @click="closeModal">
            {{ $tc('sw-cms.components.cmsLayoutModal.actionCancel') }}
        </sw-button>
        <sw-button
            variant="primary"
            @click="selectLayout"
        >
            {{ $tc('global.default.add') }}
        </sw-button>
    </template>
{% endblock %}

{% block sw_data_grid_bulk_delete_modal %}
    {% parent() %}
{% endblock %}
